Skip to main content
Alerting & Response/On-Call

GetOnCallCurrentShift

Get the currently active on-call shift for a given schedule

GET/api/v1/oncall/schedules/{uuid}/current-shift

Operation ID

GetOnCallCurrentShift

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    UUID of the schedule whose current shift to retrieve

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • userId
    String

    User ID of the person currently on call

    Example: user-abc123

  • userName
    String

    Display name of the person currently on call

    Example: Alice Smith

  • startTime
    String

    Timestamp when the current shift started

    Example: 2026-01-15T08:00:00Z

  • endTime
    String

    Timestamp when the current shift ends

    Example: 2026-01-15T08:00:00Z

  • isOverride
    Boolean

    Whether this shift is the result of an override

    Example: false